The Wine development release 5.5 is now available.

What's new in this release (see below for details):
  - Builtin libraries use the new UCRTBase C runtime.
  - Compatibility mode used when reporting Windows version.
  - Better support for debug information in PE files.
  - Support for linguistic case mappings.
  - More attributes supported in WebServices.
  - Various bug fixes.

The source is available from the following locations:

  https://dl.winehq.org/wine/source/5.x/wine-5.5.tar.xz
  http://mirrors.ibiblio.org/wine/source/5.x/wine-5.5.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 5.5 (total 32):

   8439  Multiple Microsoft product installers fail due missing shell app path expansion (Visual Studio .NET 2002, 2003, Visual Foxpro 9.0)
  23523  Call of Juarez DX10 Benchmark does not start
  31890  Multiple applications need IAudioEndpointVolume::GetMasterVolumeLevelScalar method implementation (Cisco IP Communicator, Cairo Shell v0.3.x)
  32114  LTSpice: Dialog resizing glitches, slow panning when zooming, minor traces
  32222  LTspice: text fields issues
  32723  Death to Spies: Moment of Truth (Steam/non-Steam) crashes on startup (intro video needs WMV3 decoder support in an AVI container)
  35671  ERD Concepts 6 crashes with division by zero when editing relations
  39428  Failing owner SID test in advapi32:security
  39429  Failing ACE flag tests in advapi32:security
  40854  Adobe Flash Player 22-25 installer crashes (wtsapi32.WTSQuerySessionInformation needs to support WTSUserName info class)
  41208  Gridcoin Research Client crashes
  41305  Might and Magic VI: Game hangs before intro video (making it unplayable) [regression]
  41929  Multiple games need WINED3D_TEXF_ANISOTROPIC filter mode
  45967  Beat hazard 2 - bad network/float behavior
  47056  Solid Edge v15: Program freeze on File->Open
  48276  VSDC Video Editor needs VT_VECTOR|VT_I4 support in PropertyStorage_ReadProperty
  48473  kernelbase WaitNamedPipeW contains non-null terminated string, causing garbage output in trace logs
  48495  XCP-ng Center v8.x (.NET 4.6 app) can't connect to server with self-signed certificate
  48593  Multiple games play only one frame of video (Fable: The Lost Chapters, Audiosurf, Dark Souls 2, Oddworld: Munch's Oddysee)
  48642  kernel32:process contains a race condition in test_WaitForJobObject()
  48683  iTunes v12.10.4.2 crashes on unimplemented function wmvcore.dll.WMIsContentProtected when adding folders to directory scan
  48698  Multiple installers fail with "Unknown method" (Flash 29, Rexygen)
  48700  Wolcen: Lords of Mayhem - there's a blob around the character's head.
  48732  How to Survive crashes on start (fullscreen mode)
  48734  How to Survive crashes when starting a new game
  48739  ConEmu (Windows console emulator) v19.10.12 fails to set Wininet's INTERNET_OPTION_IGNORE_OFFLINE and shows error dialog at startup
  48743  Multiple games have broken rendering (Sniper Elite V2, Sniper Elite 3, F1 2012)
  48750  Few missing DirectSound3D Algorithms GUID Defs
  48762  IExplore immediately crashes on www.msnbc.com with a failed assertion
  48765  Firefox 74.0 crashes instantly:  Call  to unimplemented function WS2_32.dll.WSCGetProviderInfo, aborting
  48801  Multiple games crash on unimplemented function d3dx11_43.dll.D3DX11GetImageInfoFromFile (Assetto Corsa 1.14.x, Project Cars)
  48814  Microsoft Word 6.0 for Windows installer crashes after wine-4.8-247-g0d7d0427d0

----------------------------------------------------------------

Changes since 5.4:

Alex Henrie (2):
      mmdevapi: Report 100% volume in GetMasterVolumeLevelScalar stub.
      wine.inf: Add Winlogon keys.

Alexandre Julliard (46):
      winedump: Add dumping of sortkey NLS files.
      unicode: Add separate helper for removing linguistic case mappings.
      unicode: Store data for CT_CTYPE3 types.
      unicode: Generate a registry script for Nls keys.
      unicode: Generate the NLS file for sortkeys.
      ntdll: Support the sortkey file in NtGetNlsSectionPtr().
      kernelbase: Load the sortkey file and use it for the case mapping table.
      kernelbase: Use the ctype table from the sortkey file.
      kernelbase: Use linguistic case table for LCMAP_LINGUISTIC_CASING.
      unicode: Add compression flags to the sortkey table.
      make_makefiles: Remove updating codepage list, this is done by make_unicode now.
      kernelbase: Implement GetNLSVersion/GetNLSVersionEx().
      kernelbase: Implement IsValidNLSVersion().
      server: Use byte length in dump_strW() for consistency.
      server: Store length of window text instead of null-terminating it.
      server: Store length of console title instead of null-terminating it.
      server: Store length of console history lines instead of null-terminating them.
      comctl32: Forward string functions to kernelbase.
      loader: Remove a check for antediluvian glibc.
      kernelbase: Open registry keys before looking for sort table.
      server: Add a helper function for splitting a path into individual elements.
      server: Add a helper function for creating a Unicode string.
      server: Add a helper function for case-insensitive Unicode string comparisons.
      server: Add a helper function for hashing a Unicode string.
      server: Don't use wine/unicode.h.
      unicode: Store downloaded data files in the cache directory.
      krnl386: Fix some calling convention mismatches.
      krnl386: Get rid of DOS UMB support.
      krnl386: Get rid of DOS EMS support.
      krnl386: Get rid of DOS floppy disk support.
      krnl386: Get rid of DOS Soundblaster support.
      krnl386: Get rid of DOS DMA support.
      ntdll: Use the NLS case mapping table for RtlHashUnicodeString().
      user.exe: Clear out the thunk array to catch invalid winprocs.
      krnl386: Get rid of DOS direct I/O support.
      krnl386: Get rid of DOS SCSI ioctl support.
      krnl386: Return a handle to the vxd file itself instead of creating a dummy file.
      krnl386: Get rid of DOS parallel port I/O support.
      ntdll: Update some string functions prototypes to match msvcrt.
      ntdll: Use wcsicmp() instead of strcmpiW() where possible.
      ntdll: Use wcsnicmp() instead of strncmpiW() where possible.
      ntdll: Use RtlEqualUnicodeString() instead of strcmpiW().
      ntdll: Use RtlCompareUnicodeStrings() instead of strncmpiW().
      ntdll: Use the ascii_to_unicode() helper to compare relay module names.
      ntdll: Use wcsupr() instead of toupperW().
      ntdll: Use wcslwr() instead of tolowerW().

Alistair Leslie-Hughes (9):
      dmime: IDirectMusicGraph GetTool isn't a stub.
      dmime: Free more interfaces in IDirectMusicPerformance FreePMsg.
      include: Add msdasql.h.
      oledb32/tests: Add ODBC provider tests.
      oledb32/tests: Add MSDASQL Enumerator tests.
      dmime: IDirectMusicPerformance8 GetGraph return DMUS_E_NOT_FOUND if graph not set.
      xaudio2_7: Trace FAudio version being used.
      dmime: Store flags when parsing track data.
      dmime: Reimplement IDirectMusicAudioPath Activate.

Andrey Gusev (1):
      d3dx11: Add D3DX11GetImageInfoFromFileA/W stub.

Anton Baskanov (4):
      amstream: Implement adding existing streams in AMMultiMediaStream::AddMediaStream.
      amstream: Implement MediaStreamFilter::GetState.
      amstream/tests: Refactor test stream to allow multiple instances.
      amstream: Implement MediaStreamFilter::Stop, ::Pause, and ::Run.

Bernhard Übelacker (1):
      ws2_32: Add stub implementation for WSCGetProviderInfo.

Biswapriyo Nath (2):
      include/dxva: Add HEVC and VP8/VP9 structures.
      include/wincodec.idl: Add missing GUIDs.

Brendan Shanks (4):
      vulkan-1: Set FILEVERSION to fix official Vulkan loader installer.
      dinput: Fix crash in dump_DIEFFECT() when rglDirection is unexpectedly NULL.
      dinput/tests: Test IDirectInputEffect::SetParameters() with NULL effect parameters.
      dinput: Fix IDirectInputEffect::SetParameters() behavior with NULL effect parameters.

Connor McAdams (9):
      d2d1: Make sure arc fill vertex buffer has correct BindFlag.
      d3d10: Implement matrix effect variable set methods.
      d3d10: Implement matrix effect variable get methods.
      d3d10: Add tests for matrix effect variable.
      d3d10: Get resources used by effect shaders.
      d3d10: Add impl_from_ID3D10EffectShaderVariable.
      d3d10: Apply shader resources for shaders used in pass.
      d3d10: Implement ShaderResource effect variable set method.
      d3d10/tests: Add ID3D10EffectShaderResourceVariable tests.

Damjan Jovanovic (4):
      shell32/tests: Tmpdir shouldn't end with a backslash.
      shell32/tests: Test shlexec argv[0], and same-named executables in a different directory.
      shell32: Simplify SHELL_execute().
      shell32: Pass the executable's full path from SHELL_execute() to CreateProcess().

Derek Lesho (4):
      mfreadwrite: Configure stream decoder on SetCurrentMediaType() if necessary.
      winegstreamer: Make callback parameter names more generic.
      winegstreamer: Move broad callback handling code to gst_cbs.
      mfreadwrite: Pass source samples through decoder as they arrive.

Dmitry Timoshkov (32):
      wldap32/tests: Add ldap_bind_s test.
      adsldp: If secure open object fails fallback to simple bind.
      adsldp: Bind to an LDAP server after connection.
      activeds: ADsOpenObject should return E_FAIL by default.
      activeds: Implement ADsGetObject.
      msxml3: Add support for windows-125x encodings to IMXWriter::put_encoding().
      wldap32: Add support for ldap_bind_s(LDAP_AUTH_NEGOTIATE).
      wldap32: Handle NULL return in ldap_get_values_lenW.
      adsldp: Add support for IADsOpenDSObject::OpenDSObject(ADS_SECURE_AUTHENTICATION).
      activeds: Implement ADsBuildVarArrayStr.
      adsldp: Implement IADs::GetInfo().
      adsldp: Implement IADs::GetInfoEx().
      adsldp: Implement IADs::Get().
      adsldp: Add support for multi-valued attributes to IADs::Get().
      adsldp: Turn FIXME into a TRACE for IADsOpenDSObject::OpenDSObject().
      adsldp: Forward IADsOpenDSObject::AddRef/Release to base object.
      adsldp: Add IDirectorySearch stubs.
      adsldp: Add support for ADS_SEARCHPREF_SEARCH_SCOPE to IDirectorySearch::SetSearchPreference().
      adsldp: Implement IDirectorySearch::ExecuteSearch().
      adsldp: Implement IDirectorySearch::CloseSearchHandle().
      adsldp: Implement IDirectorySearch::GetFirstRow().
      adsldp: Implement IDirectorySearch::GetNextRow().
      adsldp: Fix a memory leak.
      adsldp: Add a trace.
      adsldp: Improve IDirectorySearch::GetNextRow() end of entries detection logic.
      adsldp: Implement IDirectorySearch::GetNextColumnName().
      adsldp: Add special column "ADsPath" at the end of the entry.
      adsldp: Implement IDirectorySearch::GetColumn().
      adsldp: Add support for special column name "ADsPath" to IDirectorySearch::GetColumn().
      adsldp/tests: Add some tests for IDirectorySearch.
      adsldp: Add more traces.
      adsldp: Add initial version of attribute schema parser.

François Gouget (18):
      configure: Add an option to enable -Werror.
      kernel32/tests: Clean up the argv[0] tests and improve coverage.
      gameux/tests: Avoid an ever changing value in a gamestatistics failure message.
      shell32/tests: Fix some wording issues in shlexec comments.
      tests: Report all errors when failing to wait for a child process.
      shell32/tests: Don't use randomized paths in the shlexec test.
      tests: Fix the wait_child_process_() macro in the no-line-number case.
      kernel32/test: Fix the semaphore handling in test_WaitForJobObject().
      iphlpapi/tests: Fix a spelling error in an ok() message.
      qasf/tests: Fix a couple of spelling errors in ok() messages.
      kernel32/tests: Fix a race condition in test_QueryInformationJobObject().
      kernel32/tests: Remove an unneeded sprintf() in the process tests.
      advapi32/tests: On Windows 7 GetServiceKeyName() fails for all localized display names.
      advapi32/tests: The Everyone group name is sometimes translated.
      kernel32/tests: Add a couple of process helper functions.
      kernel32/tests: Fix the grammar and formatting of a process comment.
      mscoree: Handle the shared wine-mono installation like the msi case.
      shell32/tests: Fix the temporary directory creation in shlexec.

Gabriel Ivăncescu (19):
      quartz: Clear the WS_CHILD style instead of unparenting the window.
      jscript: Get rid of the variable_obj parameter to exec_source.
      jscript: Use the proper variable_obj for bytecodes with named items.
      jscript: Lookup and ref the named item's dispatch first, during interpretion.
      jscript: Create separate script dispatches for each named item.
      include/winnt: Add more ACTCTX_COMPATIBILITY_ELEMENT_TYPE definitions and fix typo.
      ntdll: Store the default process activation context into the PEB.
      kernelbase: Implement compatibility mode for GetVersionEx.
      kernelbase: Implement compatibility mode for GetVersion.
      kernel32: Implement compatibility mode for VerifyVersionInfo.
      vbscript: Retrieve the vbscode context from the named item directly.
      vbscript: Retrieve the item's dispatch in a helper function.
      vbscript: Implement persistent named items.
      vbscript/tests: Add tests for persistent named items.
      jscript: Retrieve the item's dispatch in a helper function.
      jscript: Implement persistent named items.
      jscript/tests: Add tests for persistent named items.
      vbscript: Lookup the identifier in the named item's disp after its script dispatch.
      jscript/tests: Add more persistent named items tests.

Gijs Vermeulen (3):
      cmd: Use wide character string literals in batch.c.
      cmd: Use wide character string literals in directory.c.
      kernelbase: Set req->mask in SetConsoleScreenBufferInfoEx.

Hans Leidekker (10):
      webservices: Use wide character string literals.
      webservices/tests: Use wide character string literals.
      webservices: Handle WS_XML_TEXT_TYPE_INT32 in text_to_uint64.
      webservices: Add support for WS_FIELD_NILLABLE_ITEM.
      webservices: Implement WS_ANY_ATTRIBUTES_FIELD_MAPPING for the writer.
      webservices: Implement WS_TYPE_ATTRIBUTE_FIELD_MAPPING for the writer.
      webservices: Read past XML declaration and opening bracket in WsReadStartElement.
      webservices: Accept empty namespace in attribute type mapping.
      webservices: Implement WS_TYPE_ATTRIBUTE_FIELD_MAPPING for the reader.
      webservices: Support WS_CHARSET_UTF16LE for buffer input.

Jacek Caban (70):
      dbghelp: Use generic image_find_section in elf_check_alternate.
      dbghelp: Move alternate file map pointer to generic image_file_map.
      dbghelp: Use vtbl to handle different image_file_map types.
      dbghelp: Introduce generic image_unmap_file.
      dbghelp: Move HANDLE-based crc32 helper to dbghelp.c.
      dbghelp: Support Windows paths in elf_locate_debug_link.
      dbghelp: Pass module struct to elf_locate_debug_link.
      ucrtbase/tests: Build with -fno-builtin.
      ucrtbase/tests: Use more functions directly.
      ucrtbase/tests: Fix clock tests.
      corecrt_startup.h: Add onexit table declarations.
      ucrtbase/tests: Use public onexit table declarations.
      msvcrt: Use public onexit table declarations in importlib.
      ucrtbase/tests: Link to _o_* functions directly.
      mshtml/tests: Remove file protocol tests from htmllocation.c.
      dbghelp: Check checksum before mapping elf file.
      dbghelp: Use elf_check_debug_link in elf_locate_build_id_target.
      dbghelp: Move get_dos_file_name to path.c.
      dbghelp: Move elf_check_alternate implementation to module.c.
      dbghelp: Support GNU debug link and build id in PE files.
      dbghelp: Support PE debug link files.
      dbghelp: Lookup real image paths in image_locate_debug_link.
      ctype.h: Add _to[w]lower_l and _to[w]upper_l declarations.
      string.h: Add __strncnt declaration.
      memory.h: Add _memicmp_l declaration.
      ucrtbase/tests: Use ucrtbase functions directly in string.c.
      include: Add fenv.h header.
      corecrt_startup.h: Add more declarations.
      ctype.h: Add more declarations.
      float.h: Add __fpe_flt_rounds declaration.
      io.h: Add _sopen_dispatch and _sopen_s declarations.
      locale.h: Add _Strftime declaration.
      process.h: Add quick_exit declaration.
      stdlib.h: Add _get_thread_local_invalid_parameter_handler and _set_thread_local_invalid_parameter_handler declarations.
      ucrtbase/tests: Use more ucrtbase functions directly in misc.c.
      dbghelp: Use Windows API to map macho files.
      jscript: Simplify Object.prototype.toString implementation.
      wininet: Use _ltow instead of sprintf for port number in InternetCreateUrl.
      mscoree: Use wcstok_s instead of wcstok.
      makefiles: Explicitly import msvcrt in modules that need specific crt version.
      makedep: Build builtin DLLs with ucrtbase.
      dbghelp: Call GetSystemInfo in DllMain.
      dbghelp: Use page size from sysinfo.
      dbghelp: Rename helpers to make unicode variants default.
      dbghelp: Use file_name helper in more places.
      dbghelp: Make dll builtin PE path search helper more generic.
      dbghelp: Use search_dll_path in elf_search_and_load_file.
      dbghelp: Introduce search_unix_path helper and use it in elf_search_and_load_file.
      dbghelp: Use search_unix_path to load seach macho files.
      dbghelp: Use search_dll_path to load seach macho files.
      dbghelp: Store process struct pointer in dump context.
      dbghelp: Pass process struct to elf_enum_modules and macho_enum_modules.
      dbghelp: Move loader search functions to the end of module files.
      dbghelp: Introduce loader_ops to abstract platform-specific loader and use it to synchronize module list.
      dbghelp: Don't use elf_fetch_file_info and macho_fetch_file_info in module_find_cb.
      dbghelp: Use loader_ops for fetch_file_info.
      dbghelp: Pass process struct to image_uses_split_segs.
      ntdll: Support device paths in LdrGetDllPath.
      dbghelp: Use loader_ops for enum_modules.
      dbghelp: Use loader_ops for load_module.
      dbghelp: Use loader_ops for load_debug_info.
      dbghelp: Explicitly pass file type to path_find_symbol_file.
      dbghelp: Use PE type for virtual modules.
      dbghelp: Move reading debug base address from PEB to check_live_target.
      dbghelp: Remove unused code in module_find_cb.
      dbghelp: Use LONG_PTR instead of long type.
      rpcrt4: Fix use after free in get_iface_info.
      oleaut32: Fix handling dual interfaces in ITypeInfo::GetRefTypeInfo.
      jscript: Lookup the identifier in the named item's disp before the global context.
      jscript: Clear SCRIPTITEM_CODEONLY flag on script re-initialization.

Jeff Smith (6):
      mshtml/tests: Add tests showing how toString has changed in IE9+.
      jscript: Set return object's class to 'object' in Object.create.
      jscript: Fix typo in Object_toString fixme message.
      jscript: Use wide-string literals in-place for object.
      gdiplus/tests: Add tests for multi-figure lines to test_widen_cap.
      gdiplus: Caps are added at the end of a path.

Jefferson Carpenter (1):
      kernelbase: Zero out retkey in the ERROR_INVALID_HANDLE case in RegOpenKeyExW.

Liam Middlebrook (5):
      winevulkan: Generate typedefs for aliased enums.
      winevulkan: Add alias field to VkEnumValue.
      winevulkan: Generate alias enum values.
      winevulkan: Update to VK spec version spec 1.2.134.
      winevulkan: Generate typedefs for aliased structs.

Lukáš Horáček (1):
      wined3d: Add GTX 1660 SUPER as a card.

Matteo Bruni (16):
      wined3d: Get rid of the vertex sampler offset.
      wined3d: Optimize scanning for changed state in wined3d_stateblock_capture().
      wined3d: Optimize scanning for changed state in wined3d_stateblock_apply().
      ddraw: Store primary stateblock state pointer in the device.
      d3d9: Fix RTV refcounting in d3d9_texture_cube_AddRef().
      wined3d: Don't pass the whole context to needs_srgb_write().
      d3dx9: Use an assert() to validate access to const_tbl[].
      wined3d: Make rasterizer state cleanup more consistent with samplers cleanup.
      wined3d: Get rid of MAX_RENDER_TARGET_VIEWS.
      wined3d: Align CS packet size to the header size.
      wined3d: Store the framebuffer inline in struct wined3d_state.
      wined3d: Make blend state cleanup more consistent with samplers cleanup.
      wined3d: Fix ARB_TEXTURE_STORAGE_MULTISAMPLE core_extension[] entry.
      wined3d: Skip loading current index buffer if the draw is not indexed.
      wined3d: Only invalidate STATE_INDEXBUFFER if the buffer being destroyed is bound as index buffer.
      d3d10/tests: Improve compare_matrix() ok() messages.

Myah Caron (1):
      api-ms-win-core-registry-l2-2-0: Add dll.

Nikolay Sivov (46):
      mfplat: Implement MFCreateMediaBufferFromMediaType() for audio types.
      mfplat: Add some more YUV formats data.
      mfplat: Use underlying work queue API.
      mfplat: Forward MFCreateAsyncResult() to rtworkq.dll.
      mfplat: Implement locking methods for 2D memory buffers.
      mf: Remove FIXME for zero buffer size, it's used as is.
      mfplat: Implement ConvertToContiguousBuffer() for multiple buffers.
      mfplat: Fix optional buffer argument handling in ConvertToContiguousBuffer().
      mfplat: Fix buffer alignment calculation.
      mf: Copy sample data to copier transform output.
      mf: Forward sink invalidation events to application.
      mfplat: Get rid of unsupported interface trace for 1D buffers.
      mfplat: Improve 2D buffer sizes estimation.
      mfplat/tests: Increase wait timeout to help with intermittent test failures.
      mfplat: Add a helper to trace video format name.
      mf: Forward more Audio Session events from the session.
      mf: Set presentation clock for all node types.
      comctl32/imagelist: Implement IImageList::GetItemFlags().
      comctl32/imagelist: Update todo list.
      mfplat: Fix scanline pointer returned with Lock2D().
      mfplat: Fix bpp for RGB24 format.
      mfplat: Fix scanline for bottom-up case.
      mfplat: Fix packed byte width calculation for 2D buffer.
      mfplat: Zero-initialize buffer memory.
      include: Add some missing symbols to mftransform.idl.
      ole32: Add support for reading VT_CLSID properties.
      comctl32/tests: Remove excessive error handling logic.
      mfplat: Add more format-specific attributes guids.
      include: Added IMFSeekInfo definition.
      mfreadwrite: Make pending response reader structure more generic.
      mfreadwrite: Handle MEStreamTick event in source reader.
      mfreadwrite: Request one sample at a time from the stream.
      mfreadwrite: Implement async reader mode.
      mfreadwrite: Implement reader flushing.
      mfreadwrite: Autodetect ftyp(isom) as .mp4.
      mfplat: Add a helper to trace timestamp arguments.
      mfplat: Remove trace from MFGetSystemTime().
      mf: Add a helper to trace timestamp arguments.
      mf: Fix string array access for registration data helpers.
      mf: Clean traces format for topology methods.
      mf: Fix a typo when setting event attribute.
      mfplat: Add more event types to trace.
      mfreadwrite: Forward some source events to async reader callback.
      mfreadwrite: Move Sink Writer stubs to separate file.
      mfplat: Add remaining media type attributes guids.
      mf: Fix returned session rates when pipeline objects don't support rate control.

Paul Gofman (20):
      d3d9/tests: Add tests for allowed StrecthRect() filters.
      wined3d: Validate the filter in wined3d_texture_blt().
      ucrtbase: Add test for _strnicmp() count parameter.
      d3dx9: Validate state operation in d3dx_parse_state().
      d3d11: Use stricmp() instead of _strnicmp(..., -1).
      ddraw: Factor out ddraw_surface_is_lost() function.
      ddraw: Factor out ddraw_surface_lock_ddsd() function.
      ddraw: Deny locking lost surfaces.
      ddraw/tests: Test locking lost surface for ddraw4.
      ddraw/tests: Test locking lost surface for ddraw2.
      ddraw/tests: Test locking lost surface for ddraw1.
      hhctrl.ocx: Use stricmp() instead of _strnicmp(..., -1).
      inetcomm: Use stricmp() instead of _strnicmp(..., -1).
      wineps.drv: Use stricmp() instead of _strnicmp(..., -1).
      winhttp: Use stricmp() instead of _strnicmp(..., -1).
      wininet: Use stricmp() instead of _strnicmp(..., -1).
      mshtml: Use stricmp() instead of _strnicmp(..., -1).
      d3dcompiler: Use stricmp() instead of _strnicmp(..., -1).
      d3dx9: Use stricmp() instead of _strnicmp(..., -1).
      d3dxof: Use stricmp() instead of _strnicmp(..., -1).

Piotr Caban (4):
      msvcp140: Remove custom standard streams definition.
      msvcp140: Don't load __processing_throw dynamically.
      ucrtbase/tests: Set invalid_parameter_handler once.
      msvcp90: Add std:_XLgamma implementation.

Rémi Bernon (7):
      tools: Only update protocol version if something changed.
      user32/tests: Add new test to validate WM_CANCELMODE message.
      winex11.drv: Remove frame when non-client area is empty.
      winemac.drv: Remove frame when non-client area is empty.
      kernel32/tests: Add tests for ContinueDebugEvent with DBG_REPLY_LATER.
      winegstreamer: Check the callback list before waiting.
      server: Implement DBG_REPLY_LATER handling.

Serge Gautherie (16):
      rpcrt4/tests: Remove now useless forced 0x0500 API versions.
      shell32/tests: Remove now useless forced 0x0501 API versions.
      include: Remove comment about now old NTDDI_VERSION.
      psapi/tests: NtQueryVirtualMemory() 3rd parameter is MEMORY_INFORMATION_CLASS, not ULONG.
      advapi32: CryptReleaseContext() dwFlags parameter is DWORD, not ULONG_PTR.
      advapi32: Use standard refcount in CRYPTPROV.
      advapi32: Fix CryptReleaseContext() last error on NULL provider.
      advapi32/tests: Check all CryptReleaseContext() calls.
      advapi32/tests: Add more cases for CryptReleaseContext().
      ntdll/tests: Remove now useless forced 0x500 API versions.
      advapi32: Fix 3 comments about pdwReserved and dwFlags.
      include: Remove now useless forced WINVER defines.
      include: Remove now useless forced _WIN32_IE defines.
      tests: Remove now useless forced _WIN32_WINNT defines.
      kernelbase: Handle RegGetValue() RRF_SUBKEY_WOW64??KEY flags.
      advapi32/tests: Check RegGetValueA() RRF_SUBKEY_WOW64??KEY validation.

Stefan Dösinger (2):
      ddraw/tests: Re-init for every test_surface_discard iteration.
      ddraw/tests: Don't print uninitialized l in test_compressed_surface_stretch.

Sven Baars (2):
      d3dx9: Add two more DT_SINGLELINE tests.
      d3dx9: Remove a recursive call to ID3DXFont_DrawTextW when no rect is specified.

Vijay Kiran Kamuju (5):
      include: Add missing DPACCOUNTDESC to dplay.h.
      wmvcore: Add semi-stub implementation for WMIsContentProtected.
      include: Add missing effect related defines and enums in dsound.h.
      include: Add missing GUIDs in dsound.h.
      include: Add some missing defines to xinput.h.

Vincent Povirk (2):
      gdiplus/tests: Don't test font face of DEFAULT_GUI_FONT.
      gdiplus/tests: Don't test the exact substitution of MS Shell Dlg.

Zebediah Figura (71):
      wined3d: Fix an accidental replacement of STATE_RENDER(WINED3D_RS_SRGBWRITEENABLE).
      wined3d: Check the writemask for the correct render target in draw_primitive().
      wined3d: Map ARB_draw_buffers_blend functions.
      wined3d: Feature level 10.0 does not require independent blend functions.
      ntoskrnl.exe: Implement IoOpenDeviceRegistryKey().
      wineqtdecoder: Fix compilation.
      winegstreamer: Allocate media type format blocks with CoTaskMemAlloc().
      winegstreamer: Use accessor macros for GstVideoInfo fields.
      winegstreamer: Use amt_from_gst_video_info() in gstdecoder_source_get_media_type().
      winegstreamer: Use the image size provided by GStreamer.
      winegstreamer: Also use GST_QOS_TYPE_OVERFLOW for samples that arrive on time.
      winegstreamer: Clamp both timestamp and timestamp + diff to 0.
      winebus.sys: Use public HID_USAGE_* constants.
      wined3d: Implement dual source blending.
      d3d10core/tests: Add a test for dual source blending.
      d3d11/tests: Add a test for dual source blending.
      hidclass.sys: Don't reset the report count when recording a main item.
      rpcrt4: Handle bare interfaces as top-level parameters.
      rpcrt4: Handle bare coclasses as top-level parameters.
      kernel32/tests: Add some tests for mounted folders.
      kernel32/tests: Remove a test for Unix-style paths.
      d3dcompiler: Rename HLSL_MODIFIER_{IN, OUT} to HLSL_STORAGE_{IN, OUT}.
      d3dcompiler: Move modifer processing up out of the struct_spec rules.
      d3dcompiler: Rename HLSL_MODIFIERS_COMPARISON_MASK to HLSL_MODIFIERS_MAJORITY_MASK and use it in more places.
      d3dcompiler/tests: Add more tests for swizzles.
      d3dcompiler: Ensure that the lhs of an assignment is reducible to a variable.
      quartz/vmr9: Zero-initialize the VMR9PresentationInfo struct.
      quartz/vmr9: Determine the D3D format and flags from the subtype.
      quartz/vmr9: Request only one surface.
      quartz/vmr9: Cache surfaces on connection.
      quartz/tests: Add some tests for renderless mode.
      quartz/vmr9: Create textures with D3DUSAGE_DYNAMIC.
      qasf/tests: Fix a test failure with Windows 2003.
      quartz/tests: Fix test failures when we can't create a 3D device.
      quartz/tests: Disable some tests that fail intermittently.
      include: Fix the definition of USBD_STATUS_CANCELED.
      ntdll: Fix the overflow check in read_changes_apc().
      kernel32/tests: Fix some test failures when run from a mounted folder.
      server: Store the real Unix path.
      ntdll: Consider mount points to be reparse points in get_file_info().
      ntdll: Report Unix mount points as Win32 mount points in NtQueryInformationFile().
      kernel32: Reimplement GetVolumePathName() using NtQueryInformationFile(FileAttributeTagInformation).
      d2d1/tests: Adjust a color to prevent test failures.
      d3d11/tests: Relax some color comparisons.
      d3d10core/tests: Relax some color comparisons.
      make_makefiles: Allow running from a separate worktree.
      d3dcompiler: Fix the location for a warning.
      d3dcompiler: Get rid of the "dxversion" argument to create_writer().
      d3dcompiler: Get rid of the "dxversion" argument to SlWriteBytecode().
      d3dcompiler: Store the shader version using separate integer fields.
      quartz/tests: Add a test for autoplugging from UYVY.
      quartz/tests: Add some tests for AVI decoder pin connection.
      quartz/avidec: Correctly implement avi_decompressor_source_get_media_type().
      quartz/avidec: Correctly implement avi_decompressor_source_query_accept().
      quartz/avidec: Don't determine the source format from the sink format.
      d3dcompiler: Store a pointer to the bwriter_shader structure inside the bc_writer structure.
      include: Rename the FileSystemAttribute field of FILE_FS_ATTRIBUTE_INFORMATION to FileSystemAttributes.
      mountmgr: Fill the mountmgr_unix_drive structure even if the buffer is too small to hold the dynamic strings.
      mountmgr: Return STATUS_BUFFER_OVERFLOW from query_unix_drive() if the buffer is too small.
      winegstreamer: Also clear the pixel-aspect-ratio field in amt_to_gst_caps_video().
      strmbase: Support FORMAT_VideoInfo2 in strmbase_dump_media_type().
      strmbase: Strip trailing zeroes in debugstr_time().
      mf: Strip trailing zeroes in debugstr_time().
      mfplat: Strip trailing zeroes in debugstr_time().
      quartz: Strip trailing zeroes in debugstr_time().
      winegstreamer: Flip only RGB video.
      winegstreamer: Set the bit depth for UYVY video.
      d3dcompiler: Get rid of the init_*_dx9_writer() helpers.
      d3dcompiler: Get rid of the "len" parameter to write_declarations().
      d3dcompiler: Introduce an array_reserve() helper.
      d3dcompiler: Move some declarations to bytecodewriter.c.

Zhiyi Zhang (18):
      wined3d: Pass a struct wined3d_adapter pointer to wined3d_get_device_caps().
      d3d8: Report d3d8 adapter ordinal in device caps.
      d3d8/tests: Support creating a device with the specified adapter.
      d3d9/tests: Support creating a device with the specified adapter.
      d3d8/tests: Test device caps on multiple adapters.
      d3d9/tests: Test device caps on multiple adapters.
      d3d8/tests: Fix a test failure with Win10 WARP.
      d3d9/tests: Fix a test failure with Win10 WARP.
      wined3d: Refactor wined3d_get_output_desc() to wined3d_output_get_desc().
      wined3d: Add an ordinal to struct wined3d_output.
      d3d9: Report d3d9 adapter group information in device caps.
      d3d8: Report d3d8 adapter ordinal in d3d8_device_GetCreationParameters().
      d3d9: Report d3d9 adapter ordinal in d3d9_device_GetCreationParameters().
      d3d8/tests: Test detaching adapters.
      d3d9/tests: Test detaching adapters.
      dxgi/tests: Test detaching outputs.
      wined3d: Support non-primary outputs in wined3d_output_get_desc().
      wined3d: Remove device_name and device_name_size from struct wined3d_adapter_identifier.

--
Alexandre Julliard
julliard@winehq.org
